Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextMultipleKey Method
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNextMultipleKey is identical to MoveFirstMultipleKey()()(). Otherwise, move the cursor to the next key/data pair of the database, and store that pair and as many ensuing key/data pairs that can fit in a buffer the size of one database page in CurrentMultipleKey. In the presence of duplicate key values, the keys of CurrentMultipleKey may not change.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.21.0

# Syntax

C#
    public bool MoveNextMultipleKey()

Visual Basic (Declaration)
    Public Function MoveNextMultipleKey As Boolean

Visual C++
    public:
    bool MoveNextMultipleKey()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextMultipleKey Overload
BerkeleyDB Namespace